Bug 9572 - Opac info tooltip from branches is not well positioned
Summary: Opac info tooltip from branches is not well positioned
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on: 9420
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 11:49 UTC by Katrin Fischer
Modified: 2014-05-26 21:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (66.92 KB, image/png)
2013-02-08 11:49 UTC, Katrin Fischer
Details
Bug 9572 - Opac info tooltip from branches is not well positioned (293.44 KB, patch)
2013-03-06 21:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9572 - Opac info tooltip from branches is not well positioned (293.46 KB, patch)
2013-03-19 09:29 UTC, Paul Poulain
Details | Diff | Splinter Review
[PASSED QA] Bug 9572 - Opac info tooltip from branches is not well positioned (293.60 KB, patch)
2013-03-27 06:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9572 follow-up: duplicate jQueryUI upgrade in CCSR (250.53 KB, patch)
2013-04-02 12:55 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-02-08 11:49:43 UTC
Created attachment 15160 [details]
screenshot

While testing new features in 3.10.2 I added following HTML code (sample opening times in German) to the OPAC info field of one of the branches:

<b>Öffnungszeiten</b>
<table>
<tr>
<td>Montag - Donnerstag</td><td>8-20 Uhr</td>
</tr>
<tr>
<td>Freitag</td><td>8-18 Uhr</td>
</tr>
</table>

In OPAC the tooltip shows up when hovering the mouse over the library name, but it's below the footer on the page and for that sometimes outside of view depending on the size of the browser window (see screenshot).

It would be nice if the tooltip could be positioned closer to the library name/items table/mouse cursor.
Comment 1 Owen Leonard 2013-02-12 19:32:35 UTC
This feature broke when we upgraded tabs handling to the latest version of jQueryUI. Something about the way tabs are displayed confuses how the mouse position is reported by JavaScript.

This should probably be reworked to use one of the UI libraries we already have (or will have): jQueryUI or Bootstrap. A jQueryUI version will require a jQueryUI upgrade, and of course a Bootstrap version will require approval of the Bootstrap patches on Bug 9420.
Comment 2 Katrin Fischer 2013-03-06 07:04:03 UTC
Hi Owen, I noticed 9420 has been pushed, maybe you can take another look at this?
Comment 3 Owen Leonard 2013-03-06 21:10:18 UTC Comment hidden (obsolete)
Comment 4 Pierre Angot 2013-03-19 08:53:10 UTC
Handhover is correct. But Opac Info also appears under the library name. Is it normal ?
Comment 5 Frederic Durand 2013-03-19 09:27:34 UTC
I've seen it with Fridolyn, it s about sandbox using specific CSS. I ve tested it without it, all is OK.
Comment 6 Paul Poulain 2013-03-19 09:29:28 UTC
Patch tested with a sandbox, by Frederic Durand <frederic.durand@unilim.fr>
Comment 7 Paul Poulain 2013-03-19 09:29:49 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2013-03-27 06:41:26 UTC
Created attachment 16925 [details] [review]
[PASSED QA] Bug 9572 - Opac info tooltip from branches is not well positioned

This patch removes the jQuery plugin previously used to display the
library information tooltip on opac-detail.pl and implements the
functionality using jQueryUI's tooltip widget. jQueryUI has been
upgraded to 1.9.2 in the process, which required some ammendments to
jQueryUI-related CSS.

To test, make sure at least one of your libraries has "OPAC info" stored
as part of its configuration. View a record in the OPAC which is owned
by that library. Hover over the library's name in the holdings table and
you should see a properly-positioned tooltip showing the "OPAC info."

Also test other jQueryUI-related functionality to confirm that the
upgrade didn't break anything: Tabs and datepickers should still work
correctly.

Signed-off-by: Frederic Durand <frederic.durand@unilim.fr>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely in prog theme, feature seems not to be available
for ccsr yet.
Comment 9 Jared Camins-Esakov 2013-04-02 12:55:58 UTC
Created attachment 17123 [details] [review]
Bug 9572 follow-up: duplicate jQueryUI upgrade in CCSR
Comment 10 Jared Camins-Esakov 2013-04-02 12:57:00 UTC
This patch has been pushed to master.